<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: entropy_decoder_kernel_2.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_f6486992fdfcc735347cc2d407578037.html">FaceFilterSDK</a></li><li class="navelem"><a class="el" href="dir_80a4fd4d67846ee877317f9ddd7282cb.html">DlibWrapper</a></li><li class="navelem"><a class="el" href="dir_9b7b8713e4f43f3006d0cb3c779d469e.html">dlib</a></li><li class="navelem"><a class="el" href="dir_fbcebe08443b8fb489588e4e6ed64877.html">entropy_decoder</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">entropy_decoder_kernel_2.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// Copyright (C) 2004  Davis E. King (davis@dlib.net)</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// License: Boost Software License   See LICENSE.txt for the full license.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#ifndef DLIB_ENTROPY_DECODER_KERNEl_2_</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#define DLIB_ENTROPY_DECODER_KERNEl_2_</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160; </div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;../algs.h&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;entropy_decoder_kernel_abstract.h&quot;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &lt;iosfwd&gt;</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &quot;../uintn.h&quot;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160; </div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacedlib.html">dlib</a></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;{</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160; </div><div class="line"><a name="l00014"></a><span class="lineno"><a class="line" href="classdlib_1_1entropy__decoder__kernel__2.html">   14</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classdlib_1_1entropy__decoder__kernel__2.html">entropy_decoder_kernel_2</a> </div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;    {</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160; </div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        <a class="code" href="classdlib_1_1entropy__decoder__kernel__2.html#a050aab5de3b5cb4d6e1fb8dbb75e0ca9">entropy_decoder_kernel_2</a> (</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;        );</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160; </div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;        <span class="keyword">virtual</span> ~<a class="code" href="classdlib_1_1entropy__decoder__kernel__2.html">entropy_decoder_kernel_2</a> (</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        );</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160; </div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;        <span class="keywordtype">void</span> clear(</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;        );</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160; </div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;        <span class="keywordtype">void</span> set_stream (</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;            std::istream&amp; in</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;        );</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160; </div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;        <span class="keywordtype">bool</span> stream_is_set (</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;        ) <span class="keyword">const</span>;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160; </div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;        std::istream&amp; get_stream (</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;        ) <span class="keyword">const</span>;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160; </div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;        <span class="keywordtype">void</span> decode (</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;            uint32 low_count,</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;            uint32 high_count</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;        );</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160; </div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;        <span class="keywordtype">bool</span> get_target_called (</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;        ) <span class="keyword">const</span>;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160; </div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;        uint32 get_target (</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;            uint32 total</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;        );</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160; </div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    <span class="keyword">private</span>:</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160; </div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;        <span class="comment">// restricted functions</span></div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;        <a class="code" href="classdlib_1_1entropy__decoder__kernel__2.html#a050aab5de3b5cb4d6e1fb8dbb75e0ca9">entropy_decoder_kernel_2</a>(<a class="code" href="classdlib_1_1entropy__decoder__kernel__2.html">entropy_decoder_kernel_2</a>&amp;);        <span class="comment">// copy constructor</span></div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;        <a class="code" href="classdlib_1_1entropy__decoder__kernel__2.html">entropy_decoder_kernel_2</a>&amp; operator=(<a class="code" href="classdlib_1_1entropy__decoder__kernel__2.html">entropy_decoder_kernel_2</a>&amp;);    <span class="comment">// assignment operator</span></div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160; </div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;        <span class="comment">// data members</span></div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;        <span class="keyword">const</span> uint32 initial_low;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;        <span class="keyword">const</span> uint32 initial_high;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;        std::istream* in;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;        uint32 low;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;        uint32 high;</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;        uint32 target;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;        uint32 r;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;        std::streambuf* streambuf;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160; </div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;    };   </div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;   </div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160; </div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;}</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160; </div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;<span class="preprocessor">#ifdef NO_MAKEFILE</span></div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;<span class="preprocessor">#include &quot;entropy_decoder_kernel_2.cpp&quot;</span></div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160; </div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;<span class="preprocessor">#endif // DLIB_ENTROPY_DECODER_KERNEl_2_</span></div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160; </div></div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aclassdlib_1_1entropy__decoder__kernel__2_html_a050aab5de3b5cb4d6e1fb8dbb75e0ca9"><div class="ttname"><a href="classdlib_1_1entropy__decoder__kernel__2.html#a050aab5de3b5cb4d6e1fb8dbb75e0ca9">dlib::entropy_decoder_kernel_2::entropy_decoder_kernel_2</a></div><div class="ttdeci">entropy_decoder_kernel_2()</div><div class="ttdef"><b>Definition:</b> entropy_decoder_kernel_2.cpp:18</div></div>
<div class="ttc" id="aclassdlib_1_1entropy__decoder__kernel__2_html"><div class="ttname"><a href="classdlib_1_1entropy__decoder__kernel__2.html">dlib::entropy_decoder_kernel_2</a></div><div class="ttdef"><b>Definition:</b> entropy_decoder_kernel_2.h:14</div></div>
<div class="ttc" id="anamespacedlib_html"><div class="ttname"><a href="namespacedlib.html">dlib</a></div><div class="ttdef"><b>Definition:</b> algs.h:119</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
